import { InputRule } from "./types";
export default function <T>(props: {
    modelValue: T;
    id?: string | null;
    name?: string | null;
    rules: Array<InputRule> | InputRule;
    max?: number;
}, emit: {
    (event: "update:modelValue", value: T): void;
}): {
    id: import("vue").ComputedRef<string>;
    name: import("vue").ComputedRef<string>;
    model: import("vue").WritableComputedRef<T>;
    isValid: import("vue").ComputedRef<string | boolean>;
    isClear: import("vue").ComputedRef<boolean>;
    handleChange: () => void;
};
