export declare const messages: import("vue").Ref<Record<string, any>>;
/**
 * Set new messages. This is used for localization.
 * @param userMessages The messages that you want to override the defaults with.
 * @example setMessages({ dialog: { actions: { cancel: "Custom cancel message" } } });
 */
export declare function setMessages(userMessages: Record<string, any>): void;
/**
 * Get a computed message from the messages object.
 * @param key The key of the message to get
 */
export declare function getMessage(key: string): import("vue").ComputedRef<string>;
