import { PropType } from "vue";
export declare type GenericProp<T> = {
    type: PropType<T>;
    default: T;
};
declare function generic<T>(defaultValue?: undefined): GenericProp<T | undefined>;
declare function generic<T>(defaultValue: T): GenericProp<T>;
export declare type RequiredProp<T> = {
    type: PropType<T>;
    default: T;
    required: true;
};
declare function required<T>(defaultValue?: undefined): RequiredProp<T>;
declare function required<T>(defaultValue: T): RequiredProp<T>;
declare function boolean(defaultValue?: undefined): GenericProp<boolean | undefined>;
declare function boolean(defaultValue: boolean): GenericProp<boolean>;
declare const _default: {
    boolean: typeof boolean;
    generic: typeof generic;
    required: typeof required;
};
export default _default;
